<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">true</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.session">var.session</Property>
		<Property name="var.id">var.id</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.setAllVariablesAsTransformerParams">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;body>&lt;resultSets>&lt;resultSet queryID="totalTemplates">&lt;row>&lt;TOTAL>1&lt;/TOTAL>&lt;/row>&lt;/resultSet>&lt;resultSet queryID="totalAssets">&lt;row>&lt;TOTAL>0&lt;/TOTAL>&lt;/row>&lt;/resultSet>&lt;/resultSets>&lt;id>4&lt;/id>&lt;/body></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISInvokingModule">VAM_am_wfc_022_deleteTemplate</Property>
		<Property name="log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;log>&lt;entries/>&lt;/log></Property>
		<Property name="ISModuleId">3</Property>
		<Property name="ISCurrentTime">1480334403080</Property>
		<Property name="ISInvokingWorkflow">VAM_am_010_template</Property>
		<Property name="ISWorkflowName">VAM_am_063_hooking</Property>
		<Property name="ISGlobalProcessId">266</Property>
		<Property name="ISUserName">VAM</Property>
		<Property name="ISProcessId">267</Property>
		<Property name="ISModuleName">VAM_am_assign</Property>
		<Property name="ISServerName">dev03.virtimo.net</Property>
		<Property name="var.id">12121</Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;request>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>delete&lt;/method>&lt;parameters>&lt;return xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">true&lt;/return>&lt;id xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">4&lt;/id>&lt;/parameters>&lt;startTimestamp>1480334330452&lt;/startTimestamp>&lt;/request>&lt;configuration>&lt;api> 
    &lt;database>&lt;!--&lt;uri>jdbc:oracle:thin:@dev03.virtimo.net:1521:xe&lt;/uri>-->&lt;!--&lt;driverclass>oracle.jdbc.OracleDriver&lt;/driverclass>-->&lt;type>mssql&lt;/type>&lt;driverclass>com.microsoft.sqlserver.jdbc.SQLServerDriver&lt;/driverclass> 
      &lt;uri>jdbc:sqlserver://dev01.virtimo.net:1433;DatabaseName=DEV03_IS61_AM;SelectMethod=cursor&lt;/uri>  
      &lt;user> 
        &lt;loginName>DEV03_ASSETMANAGEMENT&lt;/loginName>  
        &lt;password>9z88FiwYkypkbZyUMSdC&lt;/password> 
      &lt;/user>  
      &lt;default> 
        &lt;alertTimeout>20&lt;/alertTimeout>  
        &lt;queryTimeout>60&lt;/queryTimeout> 
      &lt;/default> 
    &lt;/database>  
    &lt;entity> 
      &lt;validate>false&lt;/validate> 
    &lt;/entity>  
    &lt;response> 
      &lt;debuggingInformation>false&lt;/debuggingInformation>  
      &lt;format>false&lt;/format>  
      &lt;validate>true&lt;/validate> 
    &lt;/response>  
    &lt;user> 
      &lt;maxAge>P0DT0H0M5S&lt;/maxAge>  
    &lt;/user>&lt;technicalUser> 
      &lt;loginName>sys&lt;/loginName> 
    &lt;/technicalUser>&lt;alerting> 
      &lt;recipient> 
        &lt;eMailAddress>kaufhold@virtimo.de &lt;/eMailAddress> 
      &lt;/recipient>&lt;mail> 
      &lt;host>smtp.googlemail.com&lt;/host>  
      &lt;sender> 
        &lt;eMailAddress>jochen@virtimo.net &lt;/eMailAddress> 
      &lt;/sender>  
      &lt;debuggingInformation>true&lt;/debuggingInformation> 
    &lt;/mail> 
    &lt;/alerting>&lt;backend>&lt;imnot>&lt;url>https://localhost:7080/im/1/rest/&lt;/url>&lt;/imnot>&lt;bpc>&lt;url>http://localhost:8181/cxf/bpc-core/authentication&lt;/url>&lt;/bpc>&lt;/backend> 
  &lt;/api>&lt;am>&lt;database>&lt;!--&lt;uri>jdbc:oracle:thin:@dev03.virtimo.net:1521:xe&lt;/uri>-->&lt;!--&lt;driverclass>oracle.jdbc.OracleDriver&lt;/driverclass>-->&lt;type>mssql&lt;/type>&lt;driverclass>com.microsoft.sqlserver.jdbc.SQLServerDriver&lt;/driverclass> 
      &lt;uri&gt;jdbc:sqlserver://dev01.virtimo.net:1433;DatabaseName=DEV03_IS61_AM;SelectMethod=cursor&lt;/uri>  
      &lt;user> 
        &lt;loginName>DEV03_ASSETMANAGEMENT&lt;/loginName>  
        &lt;password>9z88FiwYkypkbZyUMSdC&lt;/password> 
      &lt;/user>  
      &lt;default> 
        &lt;alertTimeout>20&lt;/alertTimeout>  
        &lt;queryTimeout>60&lt;/queryTimeout> 
      &lt;/default> 
    &lt;/database> 
      
      
    &lt;entity> 
      &lt;validate>false&lt;/validate> 
    &lt;/entity>  
      
      
    &lt;technicalUser> 
      &lt;loginName>sys&lt;/loginName> 
    &lt;/technicalUser>
      
      
     
  &lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;user>&lt;id>bpcadmin&lt;/id>&lt;displayName>bpcadmin&lt;/displayName>&lt;loginName>bpcadmin&lt;/loginName>&lt;name>bpcadmin&lt;/name>&lt;eMailAddress/>&lt;active>true&lt;/active>&lt;locale>de_DE&lt;/locale>&lt;language>de&lt;/language>&lt;country>DE&lt;/country>&lt;roles>&lt;role>10XCH-SWISSGRID2&lt;/role>&lt;role>bpcAdmin&lt;/role>&lt;role>bpcUser&lt;/role>&lt;role>Business Analyst&lt;/role>&lt;role>Lieferant&lt;/role>&lt;role>VAM_organization_14005&lt;/role>&lt;role>VAM_organization_14028&lt;/role>&lt;role>VAM_organization_15901&lt;/role>&lt;role>VAM_organization_16001&lt;/role>&lt;role>VAM_organization_16010&lt;/role>&lt;role>VAM_organization_16103&lt;/role>&lt;role>VAM-administrator&lt;/role>&lt;role>Verteilnetzbetreiber&lt;/role>&lt;/roles>&lt;permissions>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>setImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>getConfiguration&lt;/method>&lt;/permission>&lt;permission&gt;&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setName&lt;/method>&lt;/permission>&lt;/permissions>&lt;organizations>&lt;organization>&lt;id>16103&lt;/id>&lt;displayName>16103&lt;/displayName>&lt;name/>&lt;configuration>&lt;am xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;overviews>&lt;overview>&lt;type>tree&lt;/type>&lt;grouping>true&lt;/grouping>&lt;canCreate>true&lt;/canCreate>&lt;canDelete>true&lt;/canDelete>&lt;rootTemplate>&lt;templateId>721&lt;/templateId>&lt;templateName>Kommunikationsübersicht&lt;/templateName>&lt;/rootTemplate>&lt;title>&lt;de>Kommunikationsübersicht&lt;/de>&lt;en>Kommunikationsübersicht&lt;/en>&lt;/title>&lt;tabTitle>&lt;de>Kommunikationsübersicht&lt;/de>&lt;en>Kommunikationsübersicht&lt;/en>&lt;/tabTitle>&lt;displayNameColumnHidden>true&lt;/displayNameColumnHidden>&lt;headIconPath>overview64&lt;/headIconPath>&lt;defaultFilters>&lt;item>&lt;key>displayName&lt;/key>&lt;operator>contains&lt;/operator>&lt;/item>&lt;/defaultFilters>&lt;/overview>&lt;overview>&lt;type>grid&lt;/type>&lt;grouping>true&lt;/grouping>&lt;canCreate>true&lt;/canCreate>&lt;canDelete>true&lt;/canDelete>&lt;singleTemplateMode>&lt;templateId>681&lt;/templateId>&lt;templateName>Mandanten&lt;/templateName>&lt;/singleTemplateMode>&lt;title>&lt;de>Mandanten&lt;/de>&lt;en>Mandanten&lt;/en>&lt;/title>&lt;tabTitle>&lt;de>Mandanten&lt;/de>&lt;en>Mandanten&lt;/en>&lt;/tabTitle>&lt;displayNameColumnHidden>true&lt;/displayNameColumnHidden>&lt;headIconPath>overview64&lt;/headIconPath>&lt;defaultFilters>&lt;item>&lt;key>displayName&lt;/key>&lt;operator>contains&lt;/operator>&lt;/item>&lt;/defaultFilters>&lt;/overview>&lt;overview>&lt;type>grid&lt;/type>&lt;grouping>true&lt;/grouping>&lt;canCreate>true&lt;/canCreate>&lt;canDelete>true&lt;/canDelete>&lt;singleTemplateMode>&lt;templateId>682&lt;/templateId>&lt;templateName>Kommunikationspartner&lt;/templateName>&lt;/singleTemplateMode>&lt;title>&lt;de>Kommunikationspartner&lt;/de>&lt;en>Kommunikationspartner&lt;/en>&lt;/title>&lt;tabTitle>&lt;de>Kommunikationspartner&lt;/de>&lt;en>Kommunikationspartner&lt;/en>&lt;/tabTitle>&lt;displayNameColumnHidden>true&lt;/displayNameColumnHidden>&lt;headIconPath>overview64&lt;/headIconPath>&lt;defaultFilters>&lt;item>&lt;key>displayName&lt;/key>&lt;operator>contains&lt;/operator>&lt;/item>&lt;/defaultFilters>&lt;/overview>&lt;overview>&lt;type>grid&lt;/type>&lt;grouping>true&lt;/grouping>&lt;canCreate>true&lt;/canCreate>&lt;singleTemplateMode>&lt;templateId>721&lt;/templateId>&lt;/singleTemplateMode>&lt;canDelete>true&lt;/canDelete>&lt;title>&lt;de>AS4-Verbindungen&lt;/de>&lt;en>AS4 connections&lt;/en>&lt;/title>&lt;tabTitle>&lt;de>AS4-Verbindungen&lt;/de>&lt;en>AS4 connections&lt;/en>&lt;/tabTitle>&lt;/overview>&lt;/overviews>&lt;/am>&lt;/configuration>&lt;active>true&lt;/active>&lt;/organization>&lt;/organizations>&lt;/user>&lt;/session></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:am="http://www.bosch-si.com/2013/AM" exclude-result-prefixes="#all" version="2.0">&lt;xsl:import href="inubitmodule://VAM_api_XSLT_Tools"/>
  &lt;xsl:output method="xml" encoding="UTF-8"/>
  &lt;xsl:param name="var.session" as="element()"/>&lt;xsl:param name="var.id"/>

  &lt;xsl:template match="/">
    &lt;xsl:variable name="currentDateTime" select="am:currentDateTimeForDB()"/>&lt;queries>
      &lt;query properties="force" queryID="deletion">
        &lt;value>
update templates

set deleted = '1',
deletedOn = &lt;xsl:value-of select="am:timestampToDB($currentDateTime)"/>,
deletedByUserId = &lt;xsl:value-of select="am:stringToDB($var.session/user/id)"/>  where id = &lt;xsl:value-of select="am:numberToDB($var.id)"/> and organizationId = &lt;xsl:value-of select="am:stringToDB($var.session/user/organizations/organization/id)"/>
        &lt;/value>
      &lt;/query>
    &lt;/queries>
    
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>